Objects of this class are only intended to be used as a temporary handle while getting and setting properties in a row. They are normally only constructed as result of function overload operators: "property (row)".

<if !private>
bool GetData (c4_Bytes&) const;
  Retrieve the value of the referenced data item

  <if !private>

int GetSize () const;
  Return width of the referenced data item

  <if !private>

void SetData (const c4_Bytes&) const;
  Store a value into the referenced data item

  <if !private>

c4_Cursor _cursor;

  <if !private>

const c4_Property& _property;

  <if !private>

c4_Reference (const c4_RowRef&, const c4_Property&);
  Constructor

  <if !private>

void operator& () const;
  not implemented

  <if !private>

c4_Reference& operator= (const c4_Reference&);
  Assignment of one data item

class c4_Reference